import 'package:torchat/src/p2p/grpc/server/grpc_server.dart';
import 'package:torchat/src/p2p/message_queue/outgoing_queue.dart';
import 'package:torchat/src/p2p/sync_manager.dart';

class TorChatService {
  final OutgoingQueue _queue = OutgoingQueue();
  late final GrpcServerRunner _grpcServer;
  late final SyncManager _sync;

  Future<void> startNode() async {
    // TODO: start Tor/Arti here and open hidden service
    _grpcServer = GrpcServerRunner();
    await _grpcServer.start(_queue);

    _sync = SyncManager(_queue);
    _sync.start();

    // TODO: bootstrap peer discovery loop
  }

  Future<void> stopNode() async {
    await _grpcServer.stop();
    _sync.stop();
  }
}