

class OutgoingQueue {
  final _list = <Message>[];

  void enqueue(Message msg) => _list.add(msg);
  bool get hasMessages => _list.isNotEmpty;

  List<Message> drain([int max = 50]) {
    final drain = _list.take(max).toList();
    _list.removeRange(0, drain.length);
    return drain;
  }
}